Page MenuHomeVyOS Platform

Error with arp_accept on tun interface
Closed, ResolvedPublicBUG

Description

Provided configuration from forum https://forum.vyos.io/t/losing-some-configuration-on-reboot/
Tun interface not created with this configuration

set interfaces tunnel tun0 description '*** SITE1 ***'
set interfaces tunnel tun0 encapsulation 'gre-bridge'
set interfaces tunnel tun0 ip enable-arp-accept
set interfaces tunnel tun0 ip enable-arp-announce
set interfaces tunnel tun0 local-ip '10.0.3.239'
set interfaces tunnel tun0 remote-ip '10.0.32.240'
commit
[ interfaces tunnel tun0 ip enable-arp-accept ]
sh: /proc/sys/net/ipv4/conf/tun0/arp_accept: No such file or directory

[[interfaces tunnel tun0]] failed
Commit failed

Tun interface don't created

vyos@r-roll# sudo ip link show 
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP mode DEFAULT group default qlen 1000
    link/ether 52:54:00:90:b4:a3 brd ff:ff:ff:ff:ff:ff
    alias *** GRE-TUNNEL LOCAL-IP INTERFACE ***
3: eth1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP mode DEFAULT group default qlen 1000
    link/ether 52:54:00:2b:69:83 brd ff:ff:ff:ff:ff:ff
    alias *** GRE-TUNNEL BRIDGE 802.1Q INTERFACE ***
4: eth1.50@eth1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP mode DEFAULT group default qlen 1000
    link/ether 52:54:00:2b:69:83 brd ff:ff:ff:ff:ff:ff

Workaround

set interfaces tunnel tun0 description '*** SITE1 ***'
set interfaces tunnel tun0 encapsulation 'gre-bridge'
set interfaces tunnel tun0 local-ip '10.0.3.239'
set interfaces tunnel tun0 remote-ip '10.0.32.240'
commit

set interfaces tunnel tun0 ip enable-arp-accept
set interfaces tunnel tun0 ip enable-arp-announce
commit

Details

Difficulty level
Unknown (require assessment)
Version
VyOS 1.3-rolling-202006230700
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

Viacheslav created this task.
Viacheslav updated the task description. (Show Details)Jun 23 2020, 9:24 AM
vyos@vyos# set interfaces tunnel tun0 description '*** SITE1 ***'
[edit]
vyos@vyos# set interfaces tunnel tun0 encapsulation 'gre-bridge'
[edit]
vyos@vyos# set interfaces tunnel tun0 local-ip '10.0.3.239'
[edit]
vyos@vyos# set interfaces tunnel tun0 remote-ip '10.0.32.240'
[edit]
vyos@vyos# set interfaces tunnel tun0 ip enable-arp-accept
[edit]
vyos@vyos# set interfaces tunnel tun0 ip enable-arp-announce
[edit]

vyos@vyos# commit
[ interfaces tunnel tun0 ]
DEBUG/IFCONFIG cmd 'ip link add tun0 type gretap local 10.0.3.239 remote 10.0.32.240'
DEBUG/IFCONFIG cmd 'ip link set dev tun0 down'
DEBUG/IFCONFIG write '1476' > '/sys/class/net/tun0/mtu'
DEBUG/IFCONFIG write '*** SITE1 ***' > '/sys/class/net/tun0/ifalias'
DEBUG/IFCONFIG write '1476' > '/sys/class/net/tun0/mtu'
DEBUG/IFCONFIG write '1' > '/proc/sys/net/ipv4/conf/tun0/link_filter'
DEBUG/IFCONFIG cmd 'ip link set dev tun0 multicast off'
DEBUG/IFCONFIG cmd 'ip link set dev tun0 allmulticast off'
DEBUG/IFCONFIG write '1' > '/proc/sys/net/ipv4/conf/tun0/arp_accept'
DEBUG/IFCONFIG write '1' > '/proc/sys/net/ipv4/conf/tun0/arp_filter'
DEBUG/IFCONFIG write '1' > '/proc/sys/net/ipv4/conf/tun0/arp_announce'
DEBUG/IFCONFIG write '1' > '/proc/sys/net/ipv6/conf/tun0/accept_ra'
DEBUG/IFCONFIG write '1' > '/proc/sys/net/ipv6/conf/tun0/forwarding'
DEBUG/IFCONFIG write '1' > '/proc/sys/net/ipv6/conf/tun0/dad_transmits'
DEBUG/IFCONFIG cmd 'ip link set dev tun0 nomaster'
DEBUG/IFCONFIG cmd 'ip link set dev tun0 up'

[edit]
Viacheslav changed the task status from Open to Needs testing.Jun 23 2020, 7:40 PM
Viacheslav closed this task as Resolved.Jun 24 2020, 12:34 PM

Work as expected.

c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Aug 3 2020, 2:14 PM